Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:       nodejs-jade
Version:    1.3.1
Release:    alt1_12
Summary:    Jade template engine for Node.js
License:    MIT
URL:        https://github.com/visionmedia/jade
Source0:    http://registry.npmjs.org/jade/-/jade-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated using Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

# One of the tests passes with transformers@2.1.0 but is failing with
# transformers@3.0.0.
# https://github.com/visionmedia/jade/issues/1444
Patch0:     %{name}-1.2.0-Fix-test-import-path.patch

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  coffee-script
BuildRequires:  npm(character-parser)
BuildRequires:  npm(constantinople)
BuildRequires:  npm(less)
# The tests require a markdown library, so it could be any one of
# npm(discount), npm(marked) or npm(markdown).
BuildRequires:  npm(markdown)
BuildRequires:  npm(mocha)
BuildRequires:  npm(monocle)
BuildRequires:  npm(should)
BuildRequires:  npm(stylus)
BuildRequires:  npm(transformers)
BuildRequires:  npm(with)
BuildRequires:  node-uglify-js uglify-js
%endif
Source44: import.info

%description
Jade is a high performance template engine heavily influenced by Haml and
implemented with JavaScript for Node.js.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
%patch0 -p1
%nodejs_fixdep character-parser '~1.2'
%nodejs_fixdep commander '>=2.1.0'
%nodejs_fixdep constantinople '~2.0'
%nodejs_fixdep mkdirp '^0.5.1'
%nodejs_fixdep monocle '~1.1.51'
%nodejs_fixdep transformers '>=2.1.0'
%nodejs_fixdep with '~3.0'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/jade
cp -pr package.json index.js jade.js lib/ runtime.js \
    %{buildroot}%{nodejs_sitelib}/jade
mkdir -p %{buildroot}%{nodejs_sitelib}/jade/bin
install -p -D -m0755 bin/jade.js %{buildroot}%{nodejs_sitelib}/jade/bin/jade.js

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/jade/bin/jade.js \
    %{buildroot}%{_bindir}/jade-nodejs

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha -R spec
%endif


%files
%doc jade-language.md jade.md LICENSE README.md Readme_zh-cn.md jade.md
%{nodejs_sitelib}/jade
%{_bindir}/jade-nodejs


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_12
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.28.2-alt1_2
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.28.2-alt1_1
- initial import

